Class UmlBaseJunctionPseudoState

Declaration :

- C++ : class UmlBaseJunctionPseudoState : public UmlPseudoState
- Java : abstract class UmlBaseJunctionPseudoState extends UmlPseudoState

Directly inherited by : UmlJunctionPseudoState

Artifact : UmlBaseJunctionPseudoState

Operation create

returns a new junction pseudo state created under 'parent'
In case it cannot be created ('parent' cannot contain it etc ...)
return 0 in C++ and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem) : UmlJunctionPseudoState, exceptions : RuntimeException
- C++ : public: static UmlJunctionPseudoState * create(UmlItem * parent)
- Java : public static UmlJunctionPseudoState create(UmlItem parent) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseJunctionPseudoState

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseJunctionPseudoState(in id : item_id, in s : string) :
- C++ : protected: UmlBaseJunctionPseudoState(void * id, const QCString & s) : UmlPseudoState(id, s)
- Java : protected UmlBaseJunctionPseudoState(long id, String s)

All public operations : apply , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload